Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 20 Sep 2014, 04:16
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Games
Can't play bzflag.pup
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [10 Posts]  
Author Message
pedro

Joined: 05 Oct 2005
Posts: 52

PostPosted: Tue 13 Jun 2006, 21:47    Post subject:  Can't play bzflag.pup  

I downloaded bzflag.pup from here http://dotpups.de/dotpups/Games/William/
The problem i get is that when i try to run it i get a "command not found" message. What am i doing wrong?
Pedro
Back to top
View user's profile Send private message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Wed 14 Jun 2006, 02:43    Post subject:  

I downloaded it for Puppy2, installed it.
Then you must drag /usr/bzflag (the folder) to your desktop.
To play, click on the folder, and on one of the starters (bzflag-solo or bzflag).

It requires libSDL:
http://dotpups.de/dotpups/Games/LibSDL1.2-forDoom.pup

Mark
Back to top
View user's profile Send private message Visit poster's website 
pedro

Joined: 05 Oct 2005
Posts: 52

PostPosted: Wed 14 Jun 2006, 06:51    Post subject:  

The first time i did your sugestion it worked but i had previously installed the mesa sdl package that was toghethor with the game. This killed 3d acceleration from ati driver.
Then i set up everything from the beggining but this time with your libSDL. Moved the folder to the desktop but it does not start again.
I'm just asking help again because this is my favourite game, i wish i could play it in puppy.
Thanks
Pedro
Back to top
View user's profile Send private message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Wed 14 Jun 2006, 07:12    Post subject:  

if you have any libGL* in /usr/bin, delete them.

Be shure, that libGL.so is the one for your card, in /usr/X11R6/bin

After you replaced any other ones with yours, run "ldconfig" and restart X.

ldconfig -Dotpup:
http://dotpups.de/dotpups/System_Utilities/ldconfig.pup

This might happen several times, as some older Dotpups include their own, incompatible libGL.so.

Then run in a console:
cd /usr/bzflag
./bzflag

This should report any other errors, please post them here.
Mark
Back to top
View user's profile Send private message Visit poster's website 
pedro

Joined: 05 Oct 2005
Posts: 52

PostPosted: Wed 14 Jun 2006, 10:51    Post subject:  

No i don't have any libGL in /usr/bin
The libGL i use is the one you gave me.
The problem i get is missing libGLU.so.1 library. How can that be solved? It seems that this library was in the SDLmesa.pup but installing it messes the ati driver.
Pedro
Back to top
View user's profile Send private message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Wed 14 Jun 2006, 10:59    Post subject:  

download the OpenGL-B.pup to /root/expanded/
http://dotpups.de/dotpups/XServer/DRI/OpenGL-B.pup

unzip it:

cd /root/expanded
unzip OpenGL-B.pup
tar -xzvf FILESYSTEM.tgz

Now you have a subfolder with all files in it.
Copy over to your /usr/X11R6/lib the ones, that you get listed as missing.

run "ldconfig" after the copy.

Does it work?
Please tell me, what files you finally needed to copy.

Mark
Back to top
View user's profile Send private message Visit poster's website 
pedro

Joined: 05 Oct 2005
Posts: 52

PostPosted: Wed 14 Jun 2006, 12:03    Post subject:  

Now it complains about missing lib SDL-1.2.so.0
Pedro
Back to top
View user's profile Send private message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Wed 14 Jun 2006, 13:22    Post subject:  

that is in
http://dotpups.de/dotpups/Games/LibSDL1.2-forDoom.pup

If you install that, and still get that error, run

cd /usr/lib
ls -al libSDL-*

and post the result please.

Mark
Back to top
View user's profile Send private message Visit poster's website 
kirk

Joined: 11 Nov 2005
Posts: 1408
Location: florida

PostPosted: Wed 14 Jun 2006, 22:00    Post subject:  

I downloaded the bzfag.pup from Mark's site and installed it on puppy2. It works for me! I used Mark's 3d wizard and the SDL libs I've attached. You'll need to extract them to /usr/lib. The SDL for doom pup should work too. Sorry about the SDLmesa.pup when I compiled it we didn't have 3d accel.
sdl.tar.gz
Description 
gz

 Download 
Filename  sdl.tar.gz 
Filesize  322.69 KB 
Downloaded  561 Time(s) 
Back to top
View user's profile Send private message 
pedro

Joined: 05 Oct 2005
Posts: 52

PostPosted: Thu 15 Jun 2006, 07:01    Post subject:  

Oh sorry, my mistake. It works now.Thanks for the help Mark
Kirk thanks for the bzflag.pup and for the help
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [10 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Games
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0522s ][ Queries: 12 (0.0037s) ][ GZIP on ]